Subject: Re: linux-next: manual merge of the pci tree with Linus' tree

From: Bjorn Helgaas <[email-masked]>
Date: Thu, 23 Jun 2016 11:43:29 -0500

On Thu, Jun 23, 2016 at 11:44:29AM +1000, Stephen Rothwell wrote:
> Hi Bjorn,
> 
> Today's linux-next merge of the pci tree got a conflict in:
> 
>   drivers/nvme/host/pci.c
> 
> between commit:
> 
>   edb50a5403d2 ("NVMe: Only release requested regions")
> 
> from Linus' tree and commit:
> 
>   a1f447b35b72 ("NVMe: Use pci_(request|release)_mem_regions")
> 
> from the pci tree.
> 
> I fixed it up (I just used the pci tree version of this file) and can
> carry the fix as necessary. This is now fixed as far as linux-next is
> concerned, but any non trivial conflicts should be mentioned to your
> upstream maintainer when your tree is submitted for merging.  You may
> also want to consider cooperating with the maintainer of the conflicting
> tree to minimise any particularly complex conflicts.

Thanks for the heads-up.  I think using the pci tree version is the
correct resolution.

Bjorn